Name:           glite-lbjp-common-db
Version:        3.2.7
Release:        1%{?dist}
Summary:        Database engine abstraction wrapper used in L&B and JP services

Group:          System Environment/Libraries
License:        ASL 2.0
Url:            http://glite.cern.ch
Vendor:         EMI
Source:         http://scientific.zcu.cz/emi/emi.lbjp-common.db/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  cppunit-devel
BuildRequires:  chrpath
BuildRequires:  log4c-devel
BuildRequires:  mysql-devel
BuildRequires:  glite-lbjp-common-trio-devel
BuildRequires:  glite-lbjp-common-log-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  postgresql-devel

%description
Database engine abstraction wrapper used in L&B and JP
services.


%package        devel
Summary:        Development files for gLite L&B/JP common DB module
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite L&B/JP
common DB module.


%prep
%setup -q


%build
/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=%{_prefix} --libdir=%{_lib} --project=emi --module lbjp-common.db
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_lbu_db.so.3
%{_libdir}/libglite_lbu_db.so.3.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/glite
%dir %{_includedir}/glite/lbu
%{_includedir}/glite/lbu/db.h
%{_libdir}/libglite_lbu_db.so


%changelog
* Tue Mar 26 2013 CESNET Product Teams <emi-lb@metacentrum.cz> - 3.2.7-1
- automatically generated package
